<?php
/*
Plugin Name: WP Movie Ratings RSS Output
Version: 1.0
Plugin URI: http://www.gozir.com
Author: Hamid Reza Mohammadi
Author URI: http://www.gozir.com
Description: creates a custom RSS feed for Wordpress movie rating plugin http://paulgoscicki.com/projects/wp-movie-ratings/
*/

include_once(dirname(__FILE__) . "/wp_movie_ratings/movie.class.php");

function wp_movie_rating_rssfeed_hrml() {
	header('Content-Type: text/xml; charset='.get_option('blog_charset'), true);

	global $wpdb, $table_prefix;


	?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
<channel>
<title>RSS Title</title>
<link>http://www.myweblog.com/movies/</link>
<description>A Description</description>
<language>en</language>
	<?php

	$m = new Movie();
	$m->set_database($wpdb, $table_prefix);

	$movies = $m->get_latest_movies(30);

	foreach($movies as $movie) {
	?>
		<item>
			<title><?php echo $movie->_title;?></title>
			<link><?php echo $movie->_url;?></link>
			<guid isPermaLink="true"><?php echo $movie->_url;?></guid>
			<description><![CDATA[ <?php echo $movie->_review;?> ]]></description>
			<pubDate><?php echo mysql2date('D, d M Y H:i:s +0000', $movie->_watched_on, false); ?></pubDate>
		</item>		
	<?php		
	}

	?>
</channel>
</rss>
	<?php
}
function install_mv_feed() {
add_feed('movies','wp_movie_rating_rssfeed_hrml');
}
add_action('init','install_mv_feed');
?>
